Bug 201177 - at apps segfault at window:destroy
at apps segfault at window:destroy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: at-spi (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: 206163
  Show dependency treegraph
 
Reported: 2006-08-03 09:12 EDT by Harald Hoyer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 08:43:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2006-08-03 09:12:17 EDT
updated to current rawhide

$ rpm -qf  /usr/lib/gtk-2.0/modules/libatk-bridge.so
at-spi-1.7.9-3

$ rpm -qf  /usr/lib/libORBit-2.so.0
ORBit2-2.14.0-3.1

AT turned on...

$ gdb gnome-at-properties
...
(gdb) run
Starting program: /usr/bin/gnome-at-properties 
...
<close window>
...
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208789264 (LWP 16893)]
0x007d5643 in strlen () from /lib/libc.so.6
(gdb) bt
#0  0x007d5643 in strlen () from /lib/libc.so.6
#1  0x06e65078 in giop_send_buffer_append_string (buf=0x9c38800, str=0x0) at
giop-send-buffer.c:515
#2  0x06e72c9f in ORBit_marshal_value (buf=0x9c38800, val=0xbfb4b798,
tc=0x6e9ec80) at corba-any.c:208
#3  0x06e72952 in ORBit_marshal_value (buf=0x9c38800, val=0xbfb4b798,
tc=0x8e5600) at corba-any.c:166
#4  0x06e72e29 in ORBit_marshal_any (buf=0x9c38800, val=0xbfb4ba6c) at
corba-any.c:374
#5  0x06e72abc in ORBit_marshal_value (buf=0x9c38800, val=0xbfb4b904,
tc=0x6e9eec0) at corba-any.c:139
#6  0x06e72952 in ORBit_marshal_value (buf=0x9c38800, val=0xbfb4b904,
tc=0x8e5640) at corba-any.c:166
#7  0x06e6a180 in orbit_small_marshal (obj=0x9c39f80, cnx=0x9c144c8,
mqe=0xbfb4b960, request_id=3216292240, m_data=0x8e8760, args=0xbfb4ba40, ctx=0x0)
    at orbit-small.c:353
#8  0x06e6a4b3 in ORBit_small_invoke_stub (obj=0x9c39f80, m_data=0x8e8760,
ret=0x0, args=0xbfb4ba40, ctx=0x0, ev=0xe90f58) at orbit-small.c:645
#9  0x06e6a6ce in ORBit_small_invoke_stub_n (object=0x9c39f80, methods=0x8e88a4,
index=-1078675560, ret=0x0, args=0xbfb4ba40, ctx=0x0, ev=0x0)
    at orbit-small.c:575
#10 0x06e77912 in ORBit_c_stub_invoke (obj=0x9c39f80, methods=0x8e88a4,
method_index=0, ret=0x0, args=0xbfb4ba40, ctx=0x0, ev=0xe90f58, class_id=0, 
    method_offset=4, skel_impl=0x8cac00
<_ORBIT_skel_small_Accessibility_EventListener_notifyEvent>) at poa.c:2644
#11 0x008bc4e4 in Accessibility_EventListener_notifyEvent (_obj=0x9c39f80,
e=0xbfb4ba5c, ev=0xe90f58) at Accessibility-stubs.c:321
#12 0x00e8d7dd in spi_atk_emit_eventv (gobject=0x9c4fa38, detail1=0, detail2=0,
any=0xbfb4babc, format=0xe8f0de "window:destroy") at bridge.c:679
#13 0x00e8dac3 in spi_atk_bridge_exit_func () at bridge.c:1159
#14 0x007966ce in exit () from /lib/libc.so.6
#15 0x0078121c in __libc_start_main () from /lib/libc.so.6
#16 0x0804b741 in _start ()
(gdb) quit
Comment 1 Matthias Clasen 2006-08-05 21:20:33 EDT
I'm not seeing that anymore with at-spi-1.7.10-1.fc6. Do you ?

Note You need to log in before you can comment on or make changes to this bug.